Name:           wfmath
Version:        0.3.9
Release:        3%{?dist}
Summary:        WorldForge client math libraries

Group:          Development/Libraries
License:        GPLv2+
URL:            http://worldforge.org/dev/eng/libraries/wfmath
Source0:        http://downloads.sourceforge.net/sourceforge/worldforge/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig doxygen

%description
WFMath provides mathematical functions for WorldForge clients.  The primary
focus of WFMath is geometric objects. Thus, it includes several shapes (boxes,
balls, lines), in addition to the basic math objects that are used to build
these shapes (points, vectors, matricies). WFMath provides a means for other
system compenents to pass geometric information around in a common format.


%package        devel
Summary:        Development files for wfmath
Group:          Development/Libraries
Requires:       pkgconfig %{name} = %{version}-%{release}


%description    devel
Libraries and header files for developing applications that use wfmath.


%prep
%setup -q


%build
# tests fail when build with -O2 on these arches
%ifarch s390 s390x
CXXFLAGS="%{optflags} -O0" \
%endif
%configure --disable-static
make %{?_smp_mflags}

make docs
# Rename a messed-up man page
mv doc/man/man3/WFMath_Polygon_* doc/man/man3/WFMath_Polygon_2.3
# Delete a messed-up man page that sometimes appears
rm -f doc/man/man3/*_.3

# Remove timestamps from the generated documentation to avoid
# multiarch conflicts

for file in doc/html/*.html ; do
    sed -i -e 's/Generated on .* for WFMath by/Generated for WFMath by/' $file
done

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3/
install -p -m0644 doc/man/man3/*.3 $RPM_BUILD_ROOT%{_mandir}/man3/

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%check
# Run tests in debug mode so asserts won't be skipped
sed -i -e 's/-DNDEBUG/-DDEBUG/' wfmath/Makefile
make %{?_smp_mflags} check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO ChangeLog
%{_libdir}/lib%{name}-0.3.so.*


%files devel
%defattr(-,root,root,-)
%doc doc/CLASS_LAYOUT doc/html/
%{_includedir}/%{name}-0.3
%{_libdir}/lib%{name}-0.3.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.gz


%changelog
* Fri Oct  1 2010 Dan Horák <dan[at]danny.cz> 0.3.9-3
- enable tests on ppc(64)
- build with -O0 on s390(x), with -O2 the shape_test fails

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Alexey Torkhov <atorkhov@gmail.com> 0.3.9-1
- Update to 0.3.9

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 14 2008 Alexey Torkhov <atorkhov@gmail.com> 0.3.8-1
- Update to 0.3.8
- Don't run unit tests on PPC64

* Sat Feb 9 2008 Wart <wart at kobold.org> 0.3.7-2
- Rebuild for gcc 4.3

* Sat Dec 15 2007 Wart <wart at kobold.org> 0.3.7-1
- Update to 0.3.7
- Remove dates from doc files to avoid multiarch conflicts (BZ #343421)

* Tue Aug 21 2007 Wart <wart at kobold.org> 0.3.6-3
- License tag clarification

* Wed Jul 25 2007 Jeremy Katz <katzj@redhat.com> - 0.3.6-2
- rebuild for toolchain bug

* Sun Jul 22 2007 Wart <wart at kobold.org> 0.3.6-1
- Update to 0.3.6

* Sun Aug 27 2006 Wart <wart at kobold.org> 0.3.5-2
- Bump release to fix cvs tags

* Fri Aug 25 2006 Wart <wart at kobold.org> 0.3.5-1
- Update to 0.3.5
- Remove patch that has been added upstream 

* Thu Jul 27 2006 Wart <wart at kobold.org> 0.3.4-4
- Disable tests on ppc

* Thu Jul 20 2006 Wart <wart at kobold.org> 0.3.4-3
- Add smp_mflags to %%check

* Wed Jul 19 2006 Wart <wart at kobold.org> 0.3.4-2
- Added patch to fix test failures on x86_64
- Add 'make check'
- Add missing Requires: pkgconfig to -devel subpackage

* Wed Jun 14 2006 Wart <wart at kobold.org> 0.3.4-1
- Initial spec file for Fedora Extras
